services:
  gokei-dashboard:
    build: .
    container_name: monitoramento-diario-gokei
    ports:
      - "8080:8080"
    environment:
      NODE_ENV: production
      PORT: 8080
      JWT_SECRET: "bW9uaXRvcjo5MTVxM2M2NUJXcUs"
      AUDIT_HMAC_SECRET: "bWjo5MbWjo5MTVxM2M2NUJXcvcjo5MTVxM2M2NUJXcUsTVxM2M2NUJXcvcjo5MTVxM2M2NUJXcUs"
      AUDIT_LOG_DIR: "/app/data/audit"
      API_BASIC_TOKEN: bW9uaXRvcjo5MTVxM2M2NUJXcUs=
      API_HOST: "https://prd.gokeiservice.com.br/PROC/metrics"
      DATABASE_PATH: "/app/data/gokei.db"
      ADMIN_EMAIL: "admin@gokei.local"
      ADMIN_PASSWORD: "Admin@12345"
      HTTPS_CERT_PATH: "/app/certs/server.crt"
      HTTPS_KEY_PATH: "/app/certs/server.key"
    volumes:
      - gokei_data:/app/data
      - ./certs:/app/certs:ro
volumes:
  gokei_data:
